# by Defiant <mail@defiant.homedns.org>

import App
import MissionLib
import Lib.LibEngineering
pButton = None

MODINFO = {     "Author": "\"Defiant&Cube\" mail@defiant.homedns.org",
                "License": "GPL",
                "needBridge": 0
            }


def PulseWeaponSet(pObject, pEvent):
    global pButton
    
    pPlayer = MissionLib.GetPlayer()
    PulseWeaponSystem = pPlayer.GetPulseWeaponSystem()
    
    if not PulseWeaponSystem:
        return
        
    if PulseWeaponSystem.IsSingleFire():
        PulseWeaponSystem.GetProperty().SetSingleFire(0)
    else:
        PulseWeaponSystem.GetProperty().SetSingleFire(1)
    
    if not pButton:
            pMenu = Lib.LibEngineering.GetBridgeMenu("Tactical")
            pButton = Lib.LibEngineering.GetButton("Single Pulse: " + "0", pMenu)
    if not pButton:
            pMenu = Lib.LibEngineering.GetBridgeMenu("Tactical")
            pButton = Lib.LibEngineering.GetButton("Single Pulse: " + "1", pMenu)
    pButton.SetName(App.TGString("Single Pulse: " + str(PulseWeaponSystem.IsSingleFire())))


def init():
        global pButton
        pPlayer = MissionLib.GetPlayer()
        if not pPlayer or App.g_kUtopiaModule.IsMultiplayer():
                return
        PulseWeaponSystem = pPlayer.GetPulseWeaponSystem()
        if PulseWeaponSystem:
                if not pButton:
                        pMenu = Lib.LibEngineering.GetBridgeMenu("Tactical")
                        pButton = Lib.LibEngineering.GetButton("Single Pulse: " + "0", pMenu)
                if not pButton:
                        pMenu = Lib.LibEngineering.GetBridgeMenu("Tactical")
                        pButton = Lib.LibEngineering.GetButton("Single Pulse: " + "1", pMenu)
                pButton = Lib.LibEngineering.CreateMenuButton("Single Pulse: " + str(PulseWeaponSystem.IsSingleFire()), "Tactical", __name__ + ".PulseWeaponSet")


def Restart():
	global pButton
        
        if App.g_kUtopiaModule.IsMultiplayer():
                return
        
	pPlayer = MissionLib.GetPlayer()
	PulseWeaponSystem = pPlayer.GetPulseWeaponSystem()
	if not pButton:
		pMenu = Lib.LibEngineering.GetBridgeMenu("Tactical")
		pButton = Lib.LibEngineering.GetButton("Single Pulse: " + "0", pMenu)
	if not pButton:
		pMenu = Lib.LibEngineering.GetBridgeMenu("Tactical")
		pButton = Lib.LibEngineering.GetButton("Single Pulse: " + "1", pMenu)
	if PulseWeaponSystem:
		if pButton:
			pButton.SetName(App.TGString("Single Phaser: " + str(PulseWeaponSystem.IsSingleFire())))
		else:
			pButton = Lib.LibEngineering.CreateMenuButton("Single Pulse: " + str(PulseWeaponSystem.IsSingleFire()), "Tactical", __name__ + ".PulseWeaponSet")
